﻿namespace БлэкДжек.Components // Замените BlazorBlackjack на имя вашего проекта
{
    public class Card
    {
        public string Suit { get; set; } // Масть (♥, ♦, ♣, ♠)
        public string Rank { get; set; } // Ранг (2, 3, ..., 10, J, Q, K, A)
        public int Value { get; set; } // Значение (J,Q,K = 10, A = 11 или 1)

        // Для удобного отображения
        public string Display => $"{Rank}{Suit}";
        // Можно добавить свойство для пути к изображению карты, если хотите графику
        // public string ImagePath => $"images/cards/{Rank.ToLower()}{SuitChar}.png";
        // private char SuitChar => Suit switch { "♥" => 'h', "♦" => 'd', "♣" => 'c', "♠" => 's', _ => ' ' };

        public Card(string suit, string rank, int value)
        {
            Suit = suit;
            Rank = rank;
            Value = value;
        }
    }
}